<?php
define('NTLCMS', 1);
$module = 'forgot';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница восстановления - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (isset($active) == false){
echo '<div class="title"><b>'.razd.' Забыли пароль?</b></div>';
$error = null;
$_SESSION['rand_pass'] = generation(10);
if (isset($_POST['login']) && isset($_POST['email']) && isset($_POST['code'])){
$login = isset($_POST['login']) ? filter_var($_POST['login'], FILTER_SANITIZE_STRING) : false;
$email = isset($_POST['email']) ? filter_var($_POST['email'], FILTER_SANITIZE_EMAIL) : false;
$pass = isset($_SESSION['rand_pass']) ? filter_var($_SESSION['rand_pass'], FILTER_SANITIZE_STRING) : false;
if (empty($login)){
$error.= 'Поле логин обязательно для заполнения!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{3,15}#i', $login)){
$error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
} elseif(!DB :: run() -> querySingle("select (`login`) from `users` where `login` = ?", array($login))){
$error.= 'Пользователь с логином '.$login.' не найден!<br/>';
} elseif(preg_match('/([a-zA-Zа-яА-Я])+([0-9]{6})|(\s)|(\W)/', $login)){
$error.= 'Спец символы в логинах запрещены!<br/>';
}
if (empty($email)){
$error .= 'Введите ваш почтовый ящик!<br/>';
} else if(filter_var($email, FILTER_VALIDATE_EMAIL) === false){
$error .= 'E-mail введен не верно!<br/>';
} elseif (DB :: run() -> querySingle("select (`login`), (`email`) from `users` where `login` = ? and `email` <> ?", array($login, $email))){
$error .= 'Не верно введен почтовый ящик!<br/>';
}
if (empty($_POST['code'])){
$error.= 'Введите код с картинки!<br/>';
} elseif ($_SESSION['code'] != $_POST['code']){
$error.= 'Код с картинки введен не верно!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("update `users` set `pass` = ? where `login` = ? limit 1", array(md5(md5($pass)), $login))){
mailto($email, 'Восстановление пароля на сайте '.strtoupper($_SERVER['HTTP_HOST']), ' Ваш новый пароль: '.$pass.'<br/> Ссылка для автологина: '.URL.'/'.$login.','.$pass);
$_SESSION['success'] = 'Данные высланы на указанный вами email!';    
header('Location: '.URL);
} else {
$_SESSION['fail'] = 'Ошибка при восстановлении пароля!';    
header('Location: '.URL.'/forgot');
}
}
}
echo '<div class="menu"><form action="'.URL.'/forgot" method="post">
<b>* Логин:</b><br/><input type="text" name="login" maxlength="15"/><br/>
<b>* E-mail:</b><br/><input type="text" name="email" maxlength="35"/><br/>';
?>
<script>
function captcha_reload(){
document.getElementById('captcha').src = "/captcha.gif?" + Math.random();
}
</script>
<?php
echo '<img id="captcha" src="'.URL.'/captcha.gif" alt="captcha" /><br/>
 <a href="javascript:captcha_reload();">Обновить картинку</a><br/>
<input type="text" name="code"/><br/>';
echo '<input type="submit" value="Восстановить пароль"/></form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'">На главную</a></div>';
} else {
header('Location: '.URL.'/forgot');
}
include ('../system/foot.php');
?>